osgUtil::PlaneIntersector::Intersection Struct Reference

`#include <PlaneIntersector>`

## Public Types

typedef std::vector< osg::Vec3d > | Polyline
typedef std::vector< double > | Attributes

## Public Member Functions

| Intersection ()
bool | operator< (const Intersection &rhs) const

## Public Attributes

osg::NodePath | nodePath
osg::ref_ptr< osg::RefMatrix > | matrix
osg::ref_ptr< osg::Drawable > | drawable
Polyline | polyline
Attributes | attributes

## Member Typedef Documentation

## Attributes

typedef std::vector<double> osgUtil::PlaneIntersector::Intersection::Attributes

## Polyline

typedef std::vector<osg::Vec3d> osgUtil::PlaneIntersector::Intersection::Polyline

## Constructor & Destructor Documentation

## Intersection()

osgUtil::PlaneIntersector::Intersection::Intersection | ( |  | ) |

inline

Referenced by operator<().

## Member Function Documentation

## operator<()

bool osgUtil::PlaneIntersector::Intersection::operator< | ( | const Intersection & | rhs | ) | const

inline

References drawable, Intersection(), nodePath, and polyline.

## Member Data Documentation

## attributes

Attributes osgUtil::PlaneIntersector::Intersection::attributes

## drawable

osg::ref_ptr<osg::Drawable> osgUtil::PlaneIntersector::Intersection::drawable

Referenced by operator<().

## matrix

osg::ref_ptr<osg::RefMatrix> osgUtil::PlaneIntersector::Intersection::matrix

## nodePath

osg::NodePath osgUtil::PlaneIntersector::Intersection::nodePath

Referenced by operator<().

## polyline

Polyline osgUtil::PlaneIntersector::Intersection::polyline

Referenced by operator<().

The documentation for this struct was generated from the following file:

- PlaneIntersector